> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Document URL

> Get a short-lived presigned URL to view or download a document side.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/identities/{id}/documents/{documentId}/url
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/identities/{id}/documents/{documentId}/url:
    get:
      tags:
        - Identities
      summary: Get a Document URL
      description: Get a short-lived presigned URL to view or download a document side.
      operationId: IdentitiesController_getIdentityDocumentUrl
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: documentId
          required: true
          in: path
          schema:
            type: string
        - name: side
          required: false
          in: query
          description: Document side to retrieve (defaults to front).
          schema:
            $ref: '#/components/schemas/DocumentSide'
      responses:
        '200':
          description: Presigned document URL
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentityDocumentUrlEntity'
      security:
        - bearer: []
components:
  schemas:
    DocumentSide:
      type: string
      enum:
        - front
        - back
    IdentityDocumentUrlEntity:
      type: object
      properties:
        url:
          type: string
          description: Short-lived presigned URL to view or download the document side.
        expiresIn:
          type: number
          description: Number of seconds the presigned URL remains valid.
      required:
        - url
        - expiresIn
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````